Package Scientific :: Package DistributedComputing :: Module TaskManager :: Class Watchdog

[frames] | no frames]

# Class Watchdog

    object --+
             |
            Watchdog

A background process that watches compute tasks and unregisters those that do not ping the task manager at the promised interval.

Instance Methods

__init__(self, task_manager) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

ping(self, process_id) |

registerProcess(self, process_id, ping_period) |

terminate(self, blocking=False) |

unregisterProcess(self, process_id) |

watchdogThread(self) |

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, task_manager)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: object.__init__
  (inherited documentation)